#pragma once

#include <stdbool.h>
#include <stdint.h>

// MSR
bool cpu_has_msr();
void cpu_set_msr(uint32_t msr, uint32_t lo, uint32_t hi);
void cpu_get_msr(uint32_t msr, uint32_t *lo, uint32_t *hi);

// 8259 PIC
void pic_disable(void);
void pic_remap(int offset_master, int offset_slave);

// APIC
void enable_apic(void);
