#include <stddef.h>

void *memmove(void *dest, const void *src, size_t n)
{
	size_t i = 0;
	const char *cast1 = (const char *)src;
	char *cast2 = (char *)dest;

	if (!cast1 && !cast2 && n > 0)
		return (0);
	if (&cast1[0] > &cast2[0]) {
		while (i < n) {
			cast2[i] = cast1[i];
			i++;
		}
	} else {
		while (n--)
			cast2[n] = cast1[n];
	}
	return cast2;
}
