#include "kprintf.h"
#include "rtc.h"

void date_cmd(char *arg)
{
	static const char *months[12] = {"January", "February", "March",
	                                 "April",   "May",      "June",
	                                 "July",    "August",   "September",
	                                 "October", "November", "December"};
	static const char *week_days[] = {"Sunday",    "Monday",   "Tuesday",
	                                  "Wednesday", "Thursday", "Friday",
	                                  "Saturday"};
	(void)arg;
	struct rtc_date date = get_date();

	kprintf("%s. %d %s. %d %d:%d:%d\n", week_days[date.index_of_the_day],
	        date.day, months[date.month], date.year, date.hour, date.minute,
	        date.second);
}
